
Webhooks Input - Bug #1908

AttributeError: WebServer instance has no attribute 'socket'

07/01/2017 07:30 PM - Luke Murphey

Status: Closed Start date: 07/01/2017

Priority: Normal Due date:  

Assignee: Luke Murphey % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.0   

Description

Traceback (most recent call last):

  File "/opt/splunk/etc/apps/webhooks_input/bin/webhooks_input_app/modular_input.py", line 1328, i

n execute

    self.do_run(in_stream, log_exception_and_continue=True)

  File "/opt/splunk/etc/apps/webhooks_input/bin/webhooks_input_app/modular_input.py", line 1216, i

n do_run

    self.do_shutdown()

  File "/opt/splunk/etc/apps/webhooks_input/bin/webhook.py", line 191, in do_shutdown

    httpd.socket.close()

AttributeError: WebServer instance has no attribute 'socket'

Associated revisions

Revision 41 - 07/06/2017 06:31 PM - luke.murphey

Checking to make sure the server has a socket before closing it

Reference #1908

History

#1 - 07/06/2017 06:31 PM - Luke Murphey

- Status changed from New to Closed

- % Done changed from 0 to 100
